amsn

26 risposte [Ultimo messaggio]
Ritratto di fioccobianco
fioccobianco
(Geek)
Offline
Geek
Iscritto: 04/10/2007
Messaggi: 112

nel voler installare amsn dopo aver lanciato il comando ./configure mi appare error: Unable to find Tcl directory or Tcl package is not tcl-dev
che devo fare?

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Hai due soluzioni: aggiungere il repository packman e installare amsn da li`, come rpm (altrimenti anubis che lo pacchettizza a fare?) oppure installarti tcl-devel e tutti gli altri pacchetti -devel eventualmente richiesti.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

http://packman.links2linux.de/search?scope=name&q=amsn

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di auris
auris
(Guru)
Offline
Guru
Iscritto: 10/09/2004
Messaggi: 4923

Quote:

orion ha scritto:
Hai due soluzioni: aggiungere il repository packman e installare amsn da li`, come rpm (altrimenti anubis che lo pacchettizza a fare?) oppure installarti tcl-devel e tutti gli altri pacchetti -devel eventualmente richiesti.

Il ragionamento non fa una piega! Laughing

Se sei stanco di virus e schermate blu passa a Linux

Ritratto di fioccobianco
fioccobianco
(Geek)
Offline
Geek
Iscritto: 04/10/2007
Messaggi: 112

ti ringrazio ma continua a chiedermi i tcl-devquando un programma mi chiede delle cose del genere dove vado a rintracciarli?
in generale, intendo
cosi come le libreire qt4 per myskype?

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

Quote:

fioccobianco ha scritto:
ti ringrazio ma continua a chiedermi i tcl-devquando un programma mi chiede delle cose del genere dove vado a rintracciarli?
in generale, intendo
cosi come le libreire qt4 per myskype?

mmm...

Quote:

fioccobianco ha scritto:
nel voler installare amsn dopo aver lanciato il comando ./configure mi appare error: Unable to find Tcl directory or Tcl package is not tcl-dev
che devo fare?

te lo dice direttamente il configure cosa manca... o sbaglio?

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di fioccobianco
fioccobianco
(Geek)
Offline
Geek
Iscritto: 04/10/2007
Messaggi: 112

allora
ho provato a installare tcl devel e mi dice che manca
tcl
, installato questo mi manca
lib.so
installato questo
mi dice che mi manca glibc(e il bello che ho installato g++)
che faccio?getto il pc dalla finestra?

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

per evitare questo si usano gli rpm... 8-) 8-) 8-)

quello che hai sono problemi di dipendenze!

come detto altrove..

Quote:

anubis ha scritto:
ad ogni modo, se possibile installa sempre da rpm, da sorgente non puoi sempre rimuovere in programma, il suo aggiornamento non avviene in automatico e altre "rotture" tra cui eventuali dipendenze da trovare!

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di fioccobianco
fioccobianco
(Geek)
Offline
Geek
Iscritto: 04/10/2007
Messaggi: 112

amsn-0.97-0.pm.RC1.i586.rpm
amsn-plugins-1-0.pm.RC1.i586.rpm
amsn-skins-1-0.pm.RC1.i586.rpm
glibc-2.4-31.1.i586.patch.rpm
glibc-2.4-31.41.src.rpm
tcl-8.4.16-1.2.i586.rpm
tcl-devel-8.4.16-1.2.i586.rpm

e questi non sono per caso rpm?
però ogni pacchetto me ne richiede un altro, partendo dal basso verso l'alto

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

ma usare yast (il gestore pacchetti) è una brutta cosa vero??

http://linuxpedia.netsons.org/index.php/Yast_gestore

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di Vincenzo79
Vincenzo79
(Geek)
Offline
Geek
Iscritto: 22/01/2006
Messaggi: 185

Proprio non riesco a capire perché nessuno vuole usare yast è stato pensato proprio per non commettere errori di dipendenze e di compilazione.
Sicuramente è necessario saperli istallare anche senza yast per ogni evenienza, ma non è il caso di innervosirsi se una persona cerca di dare un consiglio utile.
Quante volte accadono questi episodi sul forum vengono sempre sedati. Ricordo che che questo è uno spazio nato per scambiarsi opinioni e consigli utili per risolvere i problemi.
in ogni caso quoto in pieno quello che ha detto anubis
Quote:

ma usare yast (il gestore pacchetti) è una brutta cosa vero??

.
ciao Wink

Vincenzo79 The open source is the future put a penguin in your core.
Il tutto è maggiore della somma delle sue parti
"AD VERBA SEQUITUR ESSE"
www.puntomagazine.it